Bug 64201 - bounce processing broken
bounce processing broken
Product: Red Hat Raw Hide
Classification: Retired
Component: mailman (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2002-04-28 20:55 EDT by Matt Selsky
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-06 05:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Selsky 2002-04-28 20:55:54 EDT
From Bugzilla Helper:

Description of problem:
mailman has the ability to auto-process bounce messages and then remove people 
from a mailing list or just stop attempting to deliver mail until mail deliver 
is reenabled.  Setting users to "no deliver" doesn't seem to work, but removing 
users does work.

How reproducible:

Steps to Reproduce:
1. Set up a list.
2. Add a non-existant mail address to the list.
3. In the "Bounce Options" section of the admin page, set "Action when critical 
or excessive bounces are detected" to "Disable and notify me".
4. Send enough messages to the list so that it is considered excessive.  Watch 
the mailman logs to see when an excessive number has been reached.
Actual Results:  Nothing.  The fact that there had been an excessive number of 
failures was recorded in the logs, but the user was not shown as disabled on 
the "List members" page.  Also mailman continued to try to send mail to this 

Expected Results:  Mailman should disable delivery of mail to this problem user 
and notify the list administrator.

Additional info:

I also tried setting the bounce action to "remove and notify me" and that *did* 
Comment 1 John Dennis 2003-03-13 18:08:03 EST
I've recently picked up ownership of the mailman package and I'm going through
old bug reports. The current version is 2.1.1. I'm wondering if you've upgraded
and if you are still seeing this problem.
Comment 2 Matt Selsky 2003-07-22 05:15:31 EDT
I don't have access to the machine that I reported the problem about anymore. 
Feel free to close.

Note You need to log in before you can comment on or make changes to this bug.